[med-svn] [Git][go-team/packages/golang-github-dataence-porter2][master] 2 commits: Drop d/gitlab-ci.yml

Nilesh Patra (@nilesh) gitlab at salsa.debian.org
Fri Jul 31 14:42:51 BST 2026



Nilesh Patra pushed to branch master at Debian Go Packaging Team / packages / golang-github-dataence-porter2


Commits:
b7173e2a by Nilesh Patra at 2026-07-31T15:37:39+02:00
Drop d/gitlab-ci.yml

- - - - -
d0aa89e3 by Nilesh Patra at 2026-07-31T15:42:36+02:00
Add a basic autopkgtest for suffixfsm

- - - - -


3 changed files:

- − debian/gitlab-ci.yml
- + debian/tests/control
- + debian/tests/run-unit-test


Changes:

=====================================
debian/gitlab-ci.yml deleted
=====================================
@@ -1,6 +0,0 @@
-# auto-generated, DO NOT MODIFY.
-# The authoritative copy of this file lives at:
-# https://salsa.debian.org/go-team/infra/pkg-go-tools/blob/master/config/gitlabciyml.go
----
-include:
-  - https://salsa.debian.org/go-team/infra/pkg-go-tools/-/raw/master/pipeline/test-archive.yml


=====================================
debian/tests/control
=====================================
@@ -0,0 +1,3 @@
+Tests: run-unit-test
+Restrictions: allow-stderr
+Depends: @


=====================================
debian/tests/run-unit-test
=====================================
@@ -0,0 +1,18 @@
+#!/bin/sh -e
+
+if [ "$AUTOPKGTEST_TMP" = "" ] ; then
+    AUTOPKGTEST_TMP=`mktemp -d /tmp/${debname}-test.XXXXXX`
+    trap "rm -rf $AUTOPKGTEST_TMP" 0 INT QUIT ABRT PIPE TERM
+fi
+cd $AUTOPKGTEST_TMP
+
+cat > words << EOF
+autopkgtest
+debian
+EOF
+
+suffixfsm words
+
+rm -v words
+
+echo "Tests pass!"



View it on GitLab: https://salsa.debian.org/go-team/packages/golang-github-dataence-porter2/-/compare/2d280cd540a524c6e2d1e5ae2af2bb45f280075d...d0aa89e3d1262fbbcbdb1f3cec481078e13491b4

-- 
View it on GitLab: https://salsa.debian.org/go-team/packages/golang-github-dataence-porter2/-/compare/2d280cd540a524c6e2d1e5ae2af2bb45f280075d...d0aa89e3d1262fbbcbdb1f3cec481078e13491b4
You're receiving this email because of your account on salsa.debian.org. Manage all notifications: https://salsa.debian.org/-/profile/notifications | Help: https://salsa.debian.org/help


-------------- next part --------------
An HTML attachment was scrubbed...
URL: <http://alioth-lists.debian.net/pipermail/debian-med-commit/attachments/20260731/9318575a/attachment-0001.htm>


More information about the debian-med-commit mailing list